
typedef struct _GLOBALVARS
{
	HBRUSH      hBrush;            /* client areas colour */
	BYTE        keyColour;	       /* actual colour used  */

	sgl_colour	fogColour;	       /* fog colour          */
	float       fogDensity;		   

	int         lightNumber;       /* number of lights        */
	int         lightHandle[10];   /* handle of light         */
	int         lightType[10];	   /* 0 = parallel, 1 = point */
	sgl_colour 	lightColour[10];
	sgl_bool    lightColoured[10];
	sgl_vector  lightDirection[10];
	sgl_vector  lightPosition[10];
	int         lightConcentration[10];
	sgl_bool    lightCastsShadows[10];
	sgl_bool    lightSmoothHighlights[10];

	sgl_colour  ambientColour;

	int	camTran, towTran, lightTran, lightMat;

}
GLOBALVARS;

long FAR PASCAL WndProc(HWND, UINT, UINT, LONG);
BOOL FAR PASCAL KeyMsgProc(HWND hWndDlg, WORD Message, WORD wParam, LONG lParam);
BOOL FAR PASCAL AboutMsgProc(HWND hWndDlg, WORD Message, WORD wParam, LONG lParam);

VOID CALLBACK TimerFunc(HWND, UINT, UINT, DWORD);
