#
# This makefile adds WINICE support

!message Winice support included

!if "$(WINICEPATH)" == ""
!error Error : WINICEPATH environment var not defined
!endif

all : winice_exe winice_map winice_sym

winice_exe : tower5.exe
winice_map : tower5.map
winice_sym : tower5.sym

###################
#
# exe
#
tower5.exe : windebug\tower5.exe
	echo Updating tower5.exe
	copy windebug\tower5.exe tower5.exe >nul


###################
#
# map
#
tower5.map : tower5.exe
	echo Updating tower5.map
	$(WINICEPATH)\dbg2map tower5.exe


##################
#
# sym
#
tower5.sym : tower5.map
	cd $(WTMP)
	echo Updating tower5.sym
	$(WINICEPATH)\msym tower5.map


